#!/bin/sh

# This helper script will handle deploying custom terraform
set -e

source /scripts/utils.sh
source /scripts/terraform.sh

tfAdditionalVarsFile=${tfRoot}/additional_settings.auto.tfvars

if [ ! -z "${extraVar}" ]; then
  echo "extra_environment = ${vars}" >> ${tfAdditionalVarsFile}
fi

run_cmd cat "${tfAdditionalVarsFile}"

terraform_init
terraform_plan
terraform_apply
terraform_output

cprint "$0 done "
